# $Revision: 1.48 $, $Date: 2008/07/05 17:05:53 $
Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Summary(pl.UTF-8):	Biblioteka do zarządzania znacznikami ID3v1 oraz ID3v2
Name:		id3lib
Version:	3.8.3
Release:	9
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/id3lib/%{name}-%{version}.tar.gz
# Source0-md5:	19f27ddd2dda4b2d26a559a4f0f402a7
Patch0:		%{name}-nozlibpopt.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-iconv-in-libc.patch
Patch3:		http://dl.sourceforge.net/easytag/patch_id3lib_3.8.3_UTF16_writing_bug.diff
Patch4:		%{name}-CVE-2007-4460.patch
Patch5:		%{name}-gcc43.patch
URL:		http://id3lib.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It provides a convenient interface for software developers
to include standards-compliant ID3v1/2 tagging capabilities in their
applications. Features include identification of valid tags, automatic
size conversions, (re)synchronisation of tag frames, seamless tag
(de)compression, and optional padding facilities.

%description -l pl.UTF-8
Pakiet dostarcza bibliotekę pozwalającą na manipulacje znacznikami
ID3v1 oraz ID3v2. Dostarcza on wygodny interfejs dla programistów
pozwalając na dodawanie możliwości obsługi znaczników ID3v1/2 w ich
własnych aplikacjach. Możliwości biblioteki to identyfikacja
prawidłowych znaczników, automatyczna konwersja rozmiaru,
synchronizacja ramek, dekompresja itp.

%package devel
Summary:	Headers for developing programs that will use id3lib
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających id3lib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use id3lib, the software library for
ID3v1 and ID3v2 tag manipulation.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe, które będą potrzebne programistom
chcących rozwijać aplikacje używające biblioteki id3lib.

%package static
Summary:	Static id3lib libraries
Summary(pl.UTF-8):	Statyczne biblioteki id3lib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static id3lib libraries.

%description static -l pl.UTF-8
Statyczne biblioteki id3lib.

%package utils
Summary:	Simple id3 utils
Summary(pl.UTF-8):	Proste narzędzia do id3
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description utils
Few simple utilities to manipulate on ID3 tags: id3convert, id3cp,
id3info, id3tag.

%description utils -l pl.UTF-8
Kilka prostych narzędzi do obsługi znaczników ID3: id3convert, id3cp,
id3info, id3tag.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS HISTORY NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libid3-3.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libid3-3.8.so.3

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/
%attr(755,root,root) %{_libdir}/libid3.so
%{_libdir}/libid3.la
%{_includedir}/id3
%{_includedir}/id3.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libid3.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/id3convert
%attr(755,root,root) %{_bindir}/id3cp
%attr(755,root,root) %{_bindir}/id3info
%attr(755,root,root) %{_bindir}/id3tag

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: id3lib.spec,v $
Revision 1.48  2008/07/05 17:05:53  megabajt
- added -gcc43.patch
- more verbose files
- release 9

Revision 1.47  2007/09/01 13:32:37  adamg
- fix for CVE-2007-4460; release 8

Revision 1.46  2007/06/05 18:56:51  arekm
- rel 7

Revision 1.45  2007/03/14 21:32:58  beorn
- Documentation moved to package -devel

Revision 1.44  2007/03/14 21:25:35  beorn
- Added missing documentation

Revision 1.43  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.41  2006/09/14 14:14:06  radek
- release 5: added patch_id3lib_3.8.3_UTF16_writing_bug.diff, STBR

Revision 1.40  2005/08/08 14:42:09  zboczuch
- pl fix

Revision 1.39  2005/03/28 16:21:23  qboosh
- BR: libstdc++-devel, -devel R: libstdc++-devel,zlib-devel
- release 4

Revision 1.38  2004/05/06 15:00:41  qboosh
- added iconv-in-libc patch to avoid linking with libiconv; release 3

Revision 1.37  2004/04/29 13:33:51  adgor
- Strict internal deps

Revision 1.36  2004/04/26 15:55:34  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.35  2003/07/29 23:02:06  blues
- cosmetics

Revision 1.34  2003/06/02 11:09:03  trojan
- updated to 3.8.3

Revision 1.33  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.32  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:48:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/25 01:54:22  adgor
- Source0-md5

Revision 1.29  2003/04/19 19:27:50  qboosh
- added link patch - link library with -lz
- release 2

Revision 1.28  2002/12/26 02:55:47  qboosh
- removed obsolete gcc3 patch
- removed BR: popt-devel (popt not used now)

Revision 1.27  2002/12/25 12:22:42  orzech
- up to 3.8.2
- updated patch
- removed cxx substitution - cc didn't linked that stuff properly
- not tested against gcc3 (patch commented out, major code changes)

Revision 1.26  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/10/05 23:10:51  qboosh
- added gcc3 patch (fixed build with libstdc++v3 - using backward compatibility)

Revision 1.23  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.20  2002/04/25 16:35:58  arturs
fixed a small typo

Revision 1.19  2002/04/23 18:51:26  kloczek
- better way for map %%{__cc} to %{__cxx}.

Revision 1.18  2002/04/14 19:23:30  marcus
- added patch to preserve using embedded popt and zlib
- rel.5.

Revision 1.17  2002/03/30 22:43:56  qboosh
- added -utils subpackage; release 4

Revision 1.16  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/11 20:13:56  grzegol
- added CC=g++ to configure (without this, library was linked by gcc,
  without libstdc++, and gave unresolved symbols)
	Maybe it can be resolved better, but I don't know how.
- rel. 2

Revision 1.14  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/02 20:19:01  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.11  2002/02/01 00:37:27  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.10  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/02 23:33:18  blues
- release 2
- ac2.5 ready

Revision 1.8  2001/04/22 00:20:11  kloczek
- cosmetics.

Revision 1.7  2001/04/21 12:28:24  misiek
- BuildRequires: libtool automake autoconf zlib-devel popt-devel
- updated to 3.7.13
- added pl summary and descriptions
- release 1

Revision 1.6  2000/10/05 19:35:31  kloczek
- updated to 3.7.12,
- use new rpm automation suit.

Revision 1.5  2000/06/25 16:00:18  kloczek
- updated to 3.7.10.

Revision 1.4  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.3  2000/06/10 08:21:23  kloczek
- added static subpackage,
- removed examples subpackage,
- added stripping shard libraries,
- fixed passing $RPM_OPT_FLAGS to compile options,
- some cosmetics.

Revision 1.2  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/06/03 02:04:35  bonkey
- initial. based on original. adapterized a little.

Based on spec by Scott Haug <scott@id3.org>.
